Description

By checking the following URI I realised that some configuration is needed 

http://geonetwork.d4science.org/geonetwork/srv/en/oaipmh?verb=Identify

The OAI-PMH protocol is enabled on D4Science GeoNetwork without any customization.  

History

#1 - Apr 27, 2017 05:08 PM - Fabio Sinibaldi

- Status changed from New to In Progress

- % Done changed from 0 to 100

I just noticed this ticket has never been updated. Configuration should be fixed by now. 

#2 - Apr 27, 2017 05:09 PM - Fabio Sinibaldi

- Status changed from In Progress to Feedback

Please check exposed information and report feedback if any.

#3 - Apr 27, 2017 05:48 PM - Leonardo Candela

- Status changed from Feedback to In Progress

- % Done changed from 100 to 90

Thanks for taking actions. I would suggest some changes. The following fields must be reconsidered:

repositoryName - I would suggest to use "D4Science Geospatial Products" rather than "D4Sceince / BlueBridge Catalogue";

adminEmal - I would suggest to use either info@d4science.org or support@d4science.org (both exist) rather than nothing;

description - I would suggest to add the following text rather than having nothing. However, this is an optional field and I do not know if it is

configurable.

The D4Science Geospatial Products is a GeoNetwork based data source operated by the D4Science.org (www.d4science.org) infrastructure. It

contains spatially referenced "resources" including multidimensional data, trajectories, time series as well as processes. These resources have

been collected or genuinely produced in the context of several initiatives and projects including iMarine (http://www.i-marine.eu/) and

BlueBRIDGE (http://www.bluebridge-vres.eu/). 

 Please feel free to further extend this description, e.g. by adding examples of datasets published. 

Besides configuring the "Identify" verb, I guess we should have a look at two other aspects.

Please, have a look at ListMetadataFormats

http://geonetwork.d4science.org/geonetwork/srv/en/oaipmh?verb=ListMetadataFormats

Are we really exposing the items by all the declared formats? To check what is in place I used the following

iso19139 OK http://geonetwork.d4science.org/geonetwork/srv/en/oaipmh?verb=ListRecords&metadataPrefix=iso19139

iso191115 NOK http://geonetwork.d4science.org/geonetwork/srv/en/oaipmh?verb=ListRecords&metadataPrefix=iso19115

csw-record NOK http://geonetwork.d4science.org/geonetwork/srv/en/oaipmh?verb=ListRecords&metadataPrefix=csw-record

fgdc-std NOK http://geonetwork.d4science.org/geonetwork/srv/en/oaipmh?verb=ListRecords&metadataPrefix=fgdc-std

iso19110 NOK http://geonetwork.d4science.org/geonetwork/srv/en/oaipmh?verb=ListRecords&metadataPrefix=iso19110
dublin-core NOK http://geonetwork.d4science.org/geonetwork/srv/en/oaipmh?verb=ListRecords&metadataPrefix=dublin-core

oai_dc OK http://geonetwork.d4science.org/geonetwork/srv/en/oaipmh?verb=ListRecords&metadataPrefix=oai_dc

Please, have a look at ListSets  

http://geonetwork.d4science.org/geonetwork/srv/en/oaipmh?verb=ListSets

#4 - Apr 28, 2017 03:33 PM - Fabio Sinibaldi

- Status changed from In Progress to Feedback

Regarding "identify" I've been able only to set repository name and contact mail.

As per the other verbs, I couldn't find any information in geonetwork documentation on oai-pmh configuration. More documentation comes with more

recent version of GeoNetwork. Perhaps we could pause this ticket 'till we upgrade the adopted software.

#5 - Feb 18, 2019 03:39 PM - Luca Frosini

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

This ticket is rather old. I'm going to close it.
